.burger-lines {
    display: flex;
    flex-direction: column;
    align-items: end;

    &:hover span {
        width: 40px;
    }

    span {
        display: flex;
        margin: 4px;
        height: 2px;
        width: 25px;
        background-color: var(--bs-primary);
        transition: width 0.3s ease-in-out;
    }

    span:nth-child(2) {
        width: 40px;
    }
}